PROGRAM ITEST6
USE CODELIST_CREATION

TYPE(CDLVAR), DIMENSION(8):: X
TYPE(CDLLHS), DIMENSION(1):: PHI
TYPE(CDLEQ), DIMENSION(2):: EQ
TYPE(CDLINEQ), DIMENSION(9):: INEQ

CALL INITIALIZE_CODELIST(X)

PHI(1)=1.D+00*X(2)+1.D+00*X(3)+1.D+00*X(4)
! ROW1
INEQ(1)=.8D+00*X(3)+1.D+00*X(4)-10000.D+00
! ROW2
INEQ(2)=1.D+00*X(1)-90000.D+00
! ROW3
INEQ(3)=2.D+00*X(6)-1.D+00*X(8)-10000.D+00
! ROW4
INEQ(4)=1.D+00*X(2)-1.D+00*X(3)+50000.D+00
! ROW5
INEQ(5)=1.D+00*X(2)-1.D+00*X(4)+87000.D+00
! ROW6
INEQ(6)=1.D+00*X(3)-50000.D+00
! ROW7
INEQ(7)=3.D+00*X(5)-1.D+00*X(7)+10000.D+00
! ROW8
INEQ(8)=.5D+00*X(5)+.6D+00*X(6)-300000.D+00
! ROW9
EQ(1)=1.D+00*X(2)-.05D+00*X(3)-5000.D+00
! ROW10
EQ(2)=1.D+00*X(2)-.04D+00*X(3)-.05D+00*X(4)-4500.D+00
! ROW11
INEQ(9)=-1.D+00*X(2)+80000.D+00
! lower bound -oo => -1e-6
! upper bound  oo => 1e6


CALL FINISH_CODELIST
END PROGRAM ITEST6
